Immediate Zen Cart
 Module Downloads

UPS Web Services Shipping Module for Zen Cart

File Size: 91.0 KB Zip File
Estimated download times:
Average Cable: < 1 sec
Average DSL: < 1 sec


Zen Cart UPS Web Services Shipping Module v1.2.3

This module is an beginner installation for Zen Cart 1.39H 1.5.0, 1.5.1, 1.5.2, 1.5.3 & 1.5.4 and php 5.2.17, & 5.4.26 as well as PHP 5.6.21. Soap must be enabled for this module.

This Zen Cart UPS shipping module will use your UPS Web credentials to make informed calls for new rates using your own negotiated rates with UPS. Additionally, the module makes better and smarter call to the UPS API for faster and more reliable shipping quotes.

The UPS Web Services for module has many built in configurations and features such as:

  • Pre coded for Fast & Easy Checkout including the Ajax Checkout module
  • The following services are pre-integrated for quotes AND additional handling charges per service if desired
    • UPS Next Day
    • UPS Second Day
    • UPS Ground
    • UPS World Wide Express
    • UPS World Wide Expedited
    • UPS Standard
    • UPS Three Day
    • UPS Next Day Saver
    • UPS Next Day Early
    • UPS World Express Plus
    • UPS Second Day AM
    • UPS Saver
    • UPS World Wide Freight
  • Set LBS or KGS
  • Ship from address details
  • Enable for Always Free Shipping or not
  • Drop off type
  • Customer classification
  • Packaging type
  • Cut off time for same day shipping
  • Support for Shipping Boxes Manager
  • Does not support Saturday delivery
  • Now with UPS SurePost! **Surepost MUST be correctly enabled in your UPS account.

Last update 05/6/2015

PHP Info
Zen Cart v1.5.0 is compatible with PHP 5.2.14 thru PHP 5.3.x. Requires patches to work with PHP 5.4, and upgrading is a better idea.
Zen Cart v1.5.1 is compatible with PHP 5.2.14 thru PHP 5.3.x. Requires some patches to work with PHP 5.4.
Zen Cart v1.5.2 is compatible with PHP 5.2.14 thru PHP 5.5
Zen Cart v1.6.0 is compatible with PHP 5.3.5 thru PHP 5.5
Zen Cart v2.0 (under development) will be compatible with PHP 5.4 thru PHP 5.5 (with plans to support future PHP versions)

This is a module release and the application license is valid for ONLY a domain YOU own. Developers or multi site owners please contact us for additional licenses/permissions. You may NOT distribute this file even if you change it.


Download Details

  • Item Number: ZC-148
  • Price: $0
  • Payments Accepted: PayPal, Visa, MasterCard, Discover
  • Available at: